# Generated from louis-2.3.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name louis

Name: rubygem-%{gem_name}
Version: 2.3.4
Release: 1%{?dist}
Summary: Library for looking up the the vendor associated with a MAC address
License: AGPL-3.0
URL: https://github.com/sstelfox/louis
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
There is a public registry maintained by the IANA that is required to be used
by all vendors operating in certains spaces. Ethernet, Bluetooth, and Wireless
device manufacturers are all assigned unique prefixes. This database is
available publicly online and can be used to identify the manufacturer of
these devices. This library provides an easy mechanism to perform these
lookups.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/louis.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 2.3.4-1
- Initial package
